Circular dependency with webkit in gnome-2.28 ?

Lars Bamberger maillist at herr-der-mails.de
Tue Oct 6 17:02:42 PDT 2009


Ken Moffat wrote:
> Will try building in the order libproxy, libsoup, webkit
> but not sure if that means soem functionality will be
> lost.

That should be the way to go. The dependency of webkit on libsoup is a
'hard' one: the build will fail without it. The dependency of libsoup on
webkit is a 'soft' one: libsoup will not have a JavaScript plugin if
compiled without webkit.

BTW, let me know if and what version of webkit compiles on your box. I
'm having some problems with WebKit-r48794.

Lars







More information about the blfs-dev mailing list